<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        //Number(prompt("enter the number"))
        var n=14
        var arr=[];
        let i=0
        arr[0]=n;
       while(n!=1){
            if(n%2==0){
                n=n/2
                i++;
                arr[i]=n;
            }
            else{
                n=3*n+1;
                i++;
                arr[i]=n;
            }
       }
        
    for(i in arr){
        document.write(arr[i]," ,")
    }
        
    </script>
</body>
</html>